<TeXmacs|1.0.1.11>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Log de changements <TeXmacs>>

  <section|Changements entre TeXmacs 1.0 et TeXmacs 1.0.1>

  <\itemize>
    <item>Diverses corrections de bogues mineurs (1.0.1).

    <item>Fin des changements dans les menus (1.0.1).

    <item>Coches plus esthétiques dans les menus (1.0.0.25).

    <item>Nombreuses corrections de bogues mineurs et épuration (1.0.0.25).

    <item>Première partie de la documentation sur le marquage dans les
    packages (1.0.0.24).

    <item>Variantes de descriptions (1.0.0.24).

    <item>Amélioration de la personnalisation du référencement et de
    l'indexage (1.0.0.24).

    <item>Personnalisation des numéros de page (1.0.0.24).

    <item>Gestion brute des nombres dans les listes d'équations (1.0.0.23).

    <item>Quelques petites améliorations sur le filtre de saisie LaTeX
    (1.0.0.23).

    <item>Épuration par David Allouche, principalement dans menu.scm
    (1.0.0.23).

    <item>Intégration du finlandais (1.0.0.22).

    <item>Améliorations du dictionnaire allemand (1.0.0.22).

    <item>Résolution temporaire d'un problème avec g++ 3.2 (1.0.0.22).

    <item>Problème avec Guile 1.6 résolu (1.0.0.22).

    <item>Plusieurs corrections de bogues mineurs (1.0.0.21).

    <item>Gestion de bas niveau des graphiques élémentaires (1.0.0.21).
  </itemize>

  <\itemize>
    <item>Le système de documentation en ligne devient le système de
    documentation par défaut (1.0.0.20).

    <item>Nouvelle algorithme de calcul des bordures de tableaux (1.0.0.20).

    <item>Saisie des caractères grecs comme variantes de caractères latins
    (1.0.0.20).

    <item>Application de nombreux petits patchs écrits par David Allouche
    (1.0.0.20).

    <item>Création d'un marquage fait-avec-TeXmacs (1.0.0.20).

    <item>Mise à jour de l'interface Axiom (1.0.0.20).

    <item>Assemblage automatique de la documentation (1.0.0.19).

    <item>Navigation rudimentaire dans l'aide (1.0.0.19).

    <item>Sauts de page avant (1.0.0.19).

    <item>Assainissement du fichier base.scm par David Allouche (1.0.0.19).

    <item>Interface rudimentaire pour GNU Octave (1.0.0.18).

    <item>Diverses corrections de bogues mineurs (1.0.0.18).

    <item>Gestion de la complémentation automatique pour les logiciels de
    calcul formel (1.0.0.17).

    <item>Complémentation automatique avec tab (1.0.0.17).

    <item>Ajout de marqueurs de contenu au menu Texte (1.0.0.16).

    <item>Amélioration du convertisseur LaTeX - TeXmacs pour la réimportation
    de documents (1.0.0.16).

    <item>Génération automatique de préambule au lieu d'utiliser le fichier
    TeXmacs.sty (1.0.0.15).

    <item>Fabrique d'éléments pour les menus déplacés vers l'interface Scheme
    (1.0.0.15).

    <item>Variantes périodiques pour certains environnements (1.0.0.15).

    <item>Nouveau menu apparence (1.0.0.14).

    <item>Changements dans le convertisseur LaTeX - TeXmacs (1.0.0.14).

    <item>Début de l'implémentation d'un convertisseur TeXmacs - Html
    (1.0.0.14).

    <item>Correction d'un bogue important qui désactivait le clavier sur
    certains systèmes (1.0.0.13).

    <item>Meilleure gestion du clavier numérique et des accents (1.0.0.13).

    <item>Changement complet du comportement du clavier (1.0.0.12).

    <item>Détection et configuration automatique des touches spéciales
    (1.0.0.12).

    <item>Traduction automatique des menus dans la documentation (1.0.0.12).

    <item>Scripts Guile/Scheme dans les documents (1.0.0.12).

    <item>Wildcard system for keyboard shortcuts (1.0.0.11).

    <item>Détermination automatique des raccourcis clavier dans les menus
    (1.0.0.11).

    <item>Suite de la réorganisation des menus (1.0.0.11).

    <item>Gestion des articles de menus grisés, des coches, etc...
    (1.0.0.11).

    <item>Widgets are now attached to the current display at creation time
    (1.0.0.11).

    <item>Improved reduce and axiom interfaces (1.0.0.11).

    <item>We replaced the gencc preprocessor by the more standard template
    system of C++ (1.0.0.10).

    <item>Headers and footers through menus (1.0.0.9).

    <item>Correction de bogues mineurs (1.0.0.9).

    <item>Réorganisation du manuel en ligne (1.0.0.9).

    <item>Standard keyboard prefixes part of tmdoc style file (1.0.0.9).

    <item>Changements pour la compilation avec g++ 3.1 (1.0.0.8).

    <item>Implémentation des flèches avec limites inférieure et supérieure
    (1.0.0.8).

    <item>Première partie de la réorganisation des menus (1.0.0.7).

    <item>Gestion des préférences utilisateur (1.0.0.7).

    <item>Mathematical characters in special fonts become tokens (1.0.0.7).

    <item>Support for the itanium platform (1.0.0.7).

    <item>Rabats et plis rudimentaires (1.0.0.6).

    <item>Improved documentation for adding new computer algebra systems
    (1.0.0.6).

    <item>Added a presentation mode (1.0.0.6).

    <item>Improved interfaces for QCL, Axiom and Mupad (1.0.0.6).

    <item>Visual environment information when editing (1.0.0.5).

    <item>Letter and exam styles; old letter becomes ``generic'' (1.0.0.5).

    <item>Implémentation of overline and underline macros (1.0.0.5).

    <item>Improved special mathematical fonts cal, frak and Bbb (1.0.0.5).

    <item>Some small improvements in LaTeX to TeXmacs converter (1.0.0.5).

    <item>Added amsart and jsc style files (1.0.0.5).

    <item>Further reorganization of the style files (1.0.0.5).

    <item>Spanish translations of several help files (1.0.0.4).

    <item>Further reorganization of the style files (1.0.0.4).

    <item>Examples of TeXmacs documents are available from online help
    (1.0.0.4).

    <item>Experimental support for the Giac computer algebra system
    (1.0.0.4).

    <item>Experimental support for MacOSX with help from Martin Costabel
    (1.0.0.3).

    <item>Suffixes handling in the file loader and saver by Gareth McCaughan
    (1.0.0.3).

    <item>Experimental support for the Axiom system by Andrey Grozin
    (1.0.0.3).

    <item>Experimental support for Italian with help from Xav (1.0.0.3).

    <item>Fixed bug with computer algebra session styles (1.0.0.3).

    <item>Preliminary version of online help (1.0.0.3).

    <item>Support of Cygwin (1.0.0.2).

    <item>One style file per cas (1.0.0.2).

    <item>Automatic creation of style file menus (1.0.0.2).

    <item>Style file caching (1.0.0.2).

    <item>Heuristic document type determination in absence of suffix
    (1.0.0.2).

    <item>Experimental support for Cygwin by Marciano Siniscalchi (1.0.0.1).

    <item>Posibility to mark multiple positions in a document (1.0.0.1).

    <item>Selections using the shift key (1.0.0.1).

    <item>Init.scm and Init-buffer.scm have been renamed to init-texmacs.scm
    and init-buffer.scm (1.0.0.1).

    <item>Experimental support for Ukrainian by Volodymyr M. Lisivka
    (1.0.0.1).

    <item>Added path, display, widget, array tree and array widget types to
    scheme interface (1.0.0.1).

    <item>Wide accents below formulas (1.0.0.1).

    <item>Progressive upward structural selections (1.0.0.1).

    <item>Corrected an internationalization bug for spell checking (1.0.0.1).

    <item>Scrollbar position no longer changes on focus changes (1.0.0.1).

    <item>Nicer layout of keyboard shortcuts in menus (1.0.0.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.5 and TeXmacs 1.0>

  <\itemize>
    <item>Some minor bug fixes (1.0).

    <item>Several important bug fixes (0.3.5.14).

    <item>Implémentation of <verbatim|\\left.>, <verbatim|\\right.> and
    <verbatim|\\big.> (0.3.5.14).

    <item>Raccourcis clavier are shown left-aligned in the menus (0.3.5.14).

    <item>Added <verbatim|\\d>, <verbatim|\\e>, <verbatim|\\i>,
    <verbatim|\\mathpi> commands for obtaining the corresponding mathematical
    operator and constants (0.3.5.14).

    <item>Finetuned blank space in math mode (0.3.5.14).

    <item>Bugfix by S. Payard when destroying windows (0.3.5.14).

    <item>More standard behaviour of itemize, enumerate and description
    (0.3.5.14).

    <item>Improved TeXmacs to LaTeX converter written in Scheme (0.3.5.13).

    <item>Added support for british english (0.3.5.13).

    <item>Added support for the qcl quantum computing language (0.3.5.13).

    <item>Several bugs were fixed (0.3.5.12).

    <item>Wait indicator during the automatic generation of fonts (0.3.5.12).

    <item>New <verbatim|MIXED_TEXMACS> target for compilation: extern
    libraries are linked dynamically and intern libraries statically
    (0.3.5.12).

    <item>Patch by D. Allouche for doing more security checks during style
    processing (0.3.5.12).

    <item>Patch by D. Allouche for automatically generated content inside
    other structure (0.3.5.12).

    <item>Fixed bug for upgrading titles of old documents (0.3.5.12).

    <item>More user friendly interface for entering titles (0.3.5.11).

    <item>Bugfixes for spell checking, interline spacing and shoving in
    (0.3.5.11).

    <item>Forward delete for non-structured text (0.3.5.11).

    <item>Special fast page breaking algorithm for only one flow (0.3.5.11).

    <item>User interface for footnotes, floats and page breaking (0.3.5.10).

    <item>Positioning of floats (0.3.5.10).

    <item>Updates for the portuguese disctionary by Alexandre Taschetto de
    Castro (0.3.5.10).

    <item>A page breaking algorithm which support floats, footnotes and
    multicolumn content (0.3.5.9).

    <item>Better clearing algorithm when scrolling text (0.3.5.9).

    <item>A web page which explains how to contribute to TeXmacs (0.3.5.9).

    <item>Better keyboard support for eastern european languages (0.3.5.9).

    <item>Support of several miscellaneous symbols like the euro sign
    (0.3.5.9).

    <item>Updates for the czech language support (0.3.5.9).

    <item>The reactivity of the keyboard and scrollbar have been drastically
    improved (0.3.5.8).

    <item>Workaround for a bug in recent versions of ghostscript (0.3.5.8).

    <item>Bug fix for spell checking (0.3.5.8).

    <item>Bug fix for computing environment in macro arguments (0.3.5.8).

    <item>Rpm now supports mime types and inserts TeXmacs icon in application
    menu (0.3.5.8).

    <item>Wheel mouse support (0.3.5.8).

    <item>The russian dictionary has been updated (0.3.5.8).

    <item>Reimplementation of projects using file inclusions (0.3.5.7).

    <item>File inclusions (0.3.5.7).

    <item>Portuguese/brazilian language support by Márcio Laurini (0.3.5.7).

    <item>Many corrections in the german translation by Thomas Langen and
    Ralf Treinen (0.3.5.7).

    <item>Dictionaries are now in scheme format (0.3.5.7).

    <item>Support for Andrey Grozin's tool in Python for the manipulation of
    dictionaries (0.3.5.7).

    <item>Footnotes, floats and multicolumn format for papyrus page type
    (0.3.5.6).

    <item>Figure and table environments (0.3.5.6).

    <item>Hungarian language support by Andras Kadinger (0.3.5.6).

    <item>A few bug fixes (0.3.5.5).

    <item>Continued implementation of lazy typesetting; cells in tables may
    now be multi-paragraph documents (0.3.5.4).

    <item>Easier deletion of rows and columns in tables and selections
    (0.3.5.4).

    <item>Support for postscript output of computer algebra sessions
    (0.3.5.3).

    <item>Inline images in addition to linked images (0.3.5.3).

    <item>Garbage collection of seemingly obsolete images (0.3.5.3).

    <item>Nicer -geometry option (0.3.5.3).

    <item>Copying and pasting computer algebra output into the input
    (0.3.5.3).

    <item>Adjustments to loading and saving buffers (0.3.5.3).

    <item>Corrected indentation bug after eqnarray* and similar macros
    (0.3.5.3).

    <item>First implementation of mathematical input in computer algebra
    sessions (0.3.5.2).

    <item>Arbitrary predicates instead of modes and languages for keyboard
    mappings (0.3.5.2).

    <item>Variant of expand construct with inaccessible borders (0.3.5.2).

    <item>Started implementation of page insertions and multicolumn construct
    (0.3.5.2).

    <item>Computer algebra sessions are silently (re)started when feeding new
    input and the system is inactive (0.3.5.1).

    <item>Recursive kill on all subprocesses when closing a computer algebra
    session (0.3.5.1).

    <item>Fixed minor keyboard-related bugs (0.3.5.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.4 and TeXmacs 0.3.5>

  <\itemize>
    <item>Cite and nocite may take more than one argument (0.3.5.0).

    <item>Computations with tuples and macros with many arguments (0.3.5.0).

    <item>Short documentation on automatic content generation (0.3.5.0).

    <item>Automatic index generation (0.3.5.0).

    <item>Glossaries have been further improved (0.3.5.0).

    <item>Glossaries and nicer tables of contents (0.3.4.12).

    <item>Decorations of pieces of (hyphenated) paragraphs (0.3.4.12).

    <item>Implémentation de la répétition de modèles (0.3.4.12).

    <item>Implémentation de références aux numéros de pages (0.3.4.12).

    <item>Many bug fixes for tables and other things (0.3.4.11).

    <item>Some minor bug corrections (0.3.4.10).

    <item>Started ``lazyfication'' of typesetter (0.3.4.10).

    <item>Short documentation on tables (0.3.4.9).

    <item>Reimplementation of split construct by tables (0.3.4.9).

    <item>Rudimentary implementation of subtables, which cannot yet occur in
    macro expansions (0.3.4.9).

    <item>Some minor bug corrections (0.3.4.9).

    <item>Minor changes in the tutorial pages (0.3.4.9).

    <item>Fixed minor bugs for recent SUN/solaris systems (0.3.4.8).

    <item>Implémentation de la sélection de partie de tableaux (0.3.4.8).

    <item>Removed old table support (0.3.4.8).

    <item>Fixed bug for displaying trees (0.3.4.8).

    <item>Completely new implementation of tabular material, including many
    new features (0.3.4.7).

    <item>Added czech language support with the help of David Rezac
    (0.3.4.6).

    <item>Added the start of a TeXmacs tutorial on the website (0.3.4.5).

    <item>Documentation for the mathematical typesetting algorithms
    (0.3.4.5).

    <item>Added support for the accented characters for adobe fonts (in
    Metafont). (0.3.4.5).

    <item>The measures of spacing in the style files are now relative to the
    font size and no longer absolute. (0.3.4.5).

    <item>Profound changes in the typesetting algorithms for mathematical
    formulas: the way scripts are placed, spacing between components, size
    and positioning of big delimiters, italic corrections, etc. (0.3.4.5).

    <item>The logical bounding boxes for strings are now determined from the
    <verbatim|tfm> files (0.3.4.5).

    <item>Change in architecture of website (0.3.4.4).

    <item>Package for pregenerating TeX fonts (0.3.4.4).

    <item>Corrected bug in new spec file (0.3.4.4).

    <item>Compatability with gcc 2.96 (0.3.4.3).

    <item>Changed the spec file (0.3.4.3).

    <item>Several minor bugfixes (0.3.4.3).

    <item>Fixed a bug for building on BSD (0.3.4.3).

    <item>A major bugfix for starting up TeXmacs (0.3.4.2).

    <item>Added support for Mupad thanks to Andrey Grozin (0.3.4.2).

    <item>Several bug fixes (0.3.4.1).

    <item>Added support for Yacas (0.3.4.1).

    <item>Added support for Reduce thanks to Andrey Grozin (0.3.4.1).

    <item>Improved interface for Maxima thanks to Andrey Grozin (0.3.4.1).

    <item>Cross execution of commands between TeXmacs and CAS' (0.3.4.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.3 and TeXmacs 0.3.4>

  <\itemize>
    <item>Many bug fixes for the new data format (0.3.4.0).

    <item>Support for special characters in conversion from HTML (0.3.4.0).

    <item>Scheme filters for computer algebra sessions (0.3.4.0).

    <item>Vertical grouping of lines in papyrus mode (0.3.4.0).

    <item>Several minor editing facilities (0.3.4.0).

    <item>Elimination of old data format support II with 7 percent speed gain
    on mathematical texts (0.3.3.22).

    <item>Restructuring of routines in <verbatim|src/Edit>, part II
    (0.3.3.21).

    <item>Clicking on citations jumps to bibliography (0.3.3.21).

    <item>Corrected bug when selecting inside script root (0.3.3.21).

    <item>Replaced physical fonts by logical structure in icon bar
    (0.3.3.21).

    <item>Elimination of old data format support I (0.3.3.21).

    <item>Restructuring of routines in <verbatim|src/Edit>, part I
    (0.3.3.20).

    <item>Better cursor movement in computer algebra sessions (0.3.3.20).

    <item>Lists more context sensitive (0.3.3.20).

    <item>Search, replace and spell descend further into structure
    (0.3.3.20).

    <item>Restructuring of <verbatim|src/Edit> directory (0.3.3.19).

    <item>Conversion algorithm for upgrading to new format II with
    unfortunate 15 percent speed loss on mathematical text (0.3.3.18).

    <item>Conversion algorithm for upgrading to new format I (0.3.3.17).

    <item>New bridge between logical and physical document III (0.3.3.16).

    <item>New bridge between logical and physical document II (0.3.3.15).

    <item>Restructuring the typesetter, part IV (0.3.3.14).

    <item>Several minor bug fixes (0.3.3.14).

    <item>New bridge between logical and physical document I (0.3.3.14).

    <item>Several minor bug fixes (0.3.3.14).

    <item>Restructuring the typesetter environment, part III (0.3.3.13).

    <item>Restructuring the typesetter environment, part II (0.3.3.12).

    <item>Restructuring the typesetter environment, part I (0.3.3.11).

    <item>Corrected bug in infinitesimal horizontal cursor positioning
    (0.3.3.10).

    <item>Restructuring the typesetter, part III (0.3.3.10).

    <item>New algorithm for finding rectangles to redraw, part II (0.3.3.9).

    <item>Cursor aspect changes in bold or sans serif text (0.3.3.9).

    <item>Scrollbar position remains invariant under focus changes (0.3.3.9).

    <item>Some bugfixes (0.3.3.8).

    <item>Slight acceleration of menus (0.3.3.8).

    <item>Support for dead keys (0.3.3.8).

    <item>Arrows on scrollbars (0.3.3.8).

    <item>New algorithm for finding rectangles to redraw, part I (0.3.3.8).

    <item>Natural magnification proposal when loading pictures (0.3.3.7).

    <item>Alternative tag-based support for local environment changes
    (0.3.3.7).

    <item>Correction of a severe bug for printing documents (0.3.3.6).

    <item>Support for reading the Maxima user manual inside TeXmacs
    (0.3.3.6).

    <item>Style files are processed slightly faster (0.3.3.5).

    <item>Speed optimization for mathematical text of approximately 10
    percent (0.3.3.5).

    <item>Restructuring the typesetter, part II (0.3.3.5).

    <item>Adapted <verbatim|gendep> for parallel compilation (0.3.3.5).

    <item>Experimental interface with Maxima by Andrey Grozin (0.3.3.5).

    <item>Several bugfixes (0.3.3.4).

    <item>Restructuring the typesetter, part I (0.3.3.4).

    <item>Several minor bugfixes (0.3.3.3).

    <item>Support for prompts in computer algebra sessions (0.3.3.3).

    <item>More interactive macro expansion, part II (0.3.3.2).

    <item>Support for png and jpeg image formats (0.3.3.2).

    <item>More interactive macro expansion, part I (0.3.3.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.2 and TeXmacs 0.3.3>

  <\itemize>
    <item>Changed numbering convention (0.3.3.0).

    <item>Removed support for old intern tree representations (0.3.3.0).

    <item>Added many new executable constructs (0.3.3.0).

    <item>Definition of several TeXmacs routines in scheme (0.3.3.0).

    <item>Speed optimization of approximately 10 percent (0.3.2-9).

    <item>Correction of several bugs (0.3.2-8).

    <item>Polish language support by Robert Janusz (0.3.2-8).

    <item>Improved algorithm for partial text rendering (0.3.2-7).

    <item>Improved sloppy hyphenation algorithm (0.3.2-7).

    <item>Removal old path conversion algorithm part III (0.3.2-6).

    <item>Russian keyboard support in X initialization by Andrey Grozin
    (0.3.2-5).

    <item>Removal old path conversion algorithm part II (0.3.2-5).

    <item>Removal old path conversion algorithm part I (0.3.2-4).

    <item>Matrix boxes derive from composite boxes (0.3.2-3).

    <item>Action boxes derive from change boxes (0.3.2-3).

    <item>Selections are compatible with new path conversion algorithm
    (0.3.2-3).

    <item>New algorithm for tree path to cursor position conversion
    (0.3.2-2).

    <item>New algorithm for cursor position to tree path conversion
    (0.3.2-1).
  </itemize>

  <section|Changes between TeXmacs 0.3.1 and TeXmacs 0.3.2>

  <\itemize>
    <item>More abstract relative positioning of subboxes (0.3.2-0).

    <item>Slightly improved conversion to LaTeX documents (0.3.1-9).

    <item>Changed data format for big symbols and primes (0.3.1-9).

    <item>Improved <verbatim|advance> routine for languages (0.3.1-9).

    <item>Keyboard shorthands displayed in help balloons (0.3.1-8).

    <item>Saving and loading documents as scheme expressions (0.3.1-8).

    <item>Multiple selections (0.3.1-8).

    <item>Selections may be imported and exported in several formats
    (0.3.1-8).

    <item>A more comprehensible data format for TeXmacs files (0.3.1-7).

    <item>Keyboard shorthand notation more or less compatible with Emacs
    (0.3.1-6).

    <item>New representation of TeXmacs trees (0.3.1-1 until 0.3.1-5).
  </itemize>

  <section|Changes between TeXmacs 0.3.0 and TeXmacs 0.3.1>

  <\itemize>
    <item>Conversion to LaTeX uses babel (0.3.0-7).

    <item>Spanish language support by David Moriano Garcia (0.3.0-7).

    <item>Debian package for TeXmacs by Ralf Treinen (0.3.0-7).

    <item>Man-page for <verbatim|fig2ps> (0.3.0-6).

    <item>Hyperlinks and actions associated to text (0.3.0-6).

    <item>Corrections in german dictionary by Ralf Treinen (0.3.0-6).

    <item>Spell checker based on <verbatim|ispell> (0.3.0-5).

    <item>Conversion of TeX constructs over and pmatrix (0.3.0-4).

    <item>Computer algebra sessions can have names and run in parallel
    (0.3.0-4).

    <item>Execution of commands in sessions may be interrupted (0.3.0-4).

    <item>Removal of TeXmacs lisp and web pages from distribution (0.3.0-4).

    <item>Textual search and query replace (0.3.0-3).

    <item>Help balloons (0.3.0-2).

    <item>Style dependent menus and icons (0.3.0-2).

    <item>Only present fonts are listed in font menus, when using teTeX
    (0.3.0-2).

    <item>Iconbars can be disabled (0.3.0-2).

    <item>Special support for <verbatim|xpm> pixmaps (0.3.0-1).

    <item>Icon bars (0.3.0-1).

    <item>Increased dynamism of menus and icon bars (0.3.0-1).

    <item>Easier selections using <key|ctrl-spc> (0.3.0-1).

    <item>Texts may have a background color (0.3.0-1).
  </itemize>

  <section|Changes between TeXmacs 0.2.5 and TeXmacs 0.3.0>

  <\itemize>
    <item>TeXmacs has officially become <with|font shape|italic|GNU TeXmacs>
    (0.3.0-0).

    <item>Undo and redo of configurable depth (0.2.5-10).

    <item>Fix of a evolutivity problem in guile-1.4 (0.2.5-10).

    <item>Some brief documentation on the implementation of fonts, the
    TeXmacs data format and converters to other formats (0.2.5-10).

    <item>Startup banner (0.2.5-9).

    <item>First implementation of communication with extern packages via
    pipes (0.2.5-9).

    <item>Started migration towards cleaner TeXmacs data format (0.2.5-8).

    <item>Implémentation of a file chooser (0.2.5-8).

    <item>Menus have been made ``sticky'' (0.2.5-8).

    <item>Corrected bugs in the russian language support (0.2.5-7).

    <item>Emacs compatability keystrokes (0.2.5-7).

    <item>New implementation of virtual fonts (0.2.5-7).

    <item>First support of the russian language, with help from Andrey Grozin
    (0.2.5-6).

    <item>Improved anti-aliasing algorithm (0.2.5-5).

    <item>Use ec fonts instead of cm fonts (0.2.5-5).

    <item>Added support for adobe postscript fonts (0.2.5-5).

    <item>Anti-aliasing of X fonts (0.2.5-4).

    <item>Integrated functionalities of <verbatim|server_font> structure into
    the <verbatim|font> structure itself (0.2.5-3).

    <item>Replaced convert method in <verbatim|font> structure by
    <verbatim|draw> and <verbatim|get_extents> methods. Allows fonts to be
    moved one level down to the Resource directory (0.2.5-2).
  </itemize>

  <section|Changes between TeXmacs 0.2.4 and TeXmacs 0.2.5>

  <\itemize>
    <item>Added manpage for TeXmacs (0.2.5-1).

    <item>Wrote texmacs.spec file for use with rpm (0.2.5-1).

    <item>New layout for webpage (0.2.5-1).

    <item>Menus translated into swedish by Harald Ellmann (0.2.4h).

    <item>More sophisticated alarm (0.2.4h).

    <item>Started implementing HTML to <apply|TeXmacs> converter (0.2.4g).

    <item>Patch for <verbatim|gettimeofday> by Rob Clark (0.2.4g).

    <item>Wide hats, scripts with limits, penalties, no line breaks (0.2.4g).

    <item>Easy incorporation of pictures created by xfig, with incorporated
    LaTeX formulas (0.2.4g).

    <item>Romanian menus by Dan Ignat (0.2.4f).

    <item>Configuration using <verbatim|autoconf> and simplified installation
    of interface with guile (0.2.4f).

    <item>Automatic generation of tables of contents, except for page
    references (0.2.4e).

    <item>Added romanian help files (thanks to Dan Ignat) and romanian
    hyphenation (0.2.4e).

    <item>Completely replaced <apply|TeXmacs>-lisp by <with|font
    shape|small-caps|Guile Scheme> (0.2.4d).

    <item>First dynamic interface with guile (0.2.4c).

    <item>First implementation of multifile projects (0.2.4c).

    <item>Automatic generation of bibliographies using <verbatim|bibtex>
    (0.2.4c).

    <item>Auto save recovery and ``no changes need to be saved'' (0.2.4b).

    <item>Nicer recursive dynamic commands (0.2.4b).

    <item>TeXmacs style file for conversions to LaTeX documents (0.2.4b).

    <item>Hybrid LaTeX/TeXmacs commands (0.2.4b).

    <item>Preview with <verbatim|ghostview> (0.2.4b).
  </itemize>

  <section|Changes between TeXmacs 0.2.3 and TeXmacs 0.2.4>

  <\itemize>
    <item>Correction of some scrolling bugs (0.2.4a).

    <item><verbatim|TEX_PATHS> and invalid fonts in user directory (0.2.4a).

    <item>Help files are read only (0.2.4a).

    <item>Popup menus (0.2.4a).

    <item>Better implementation of page sizes; papyrus becomes default
    (0.2.3h).

    <item>Values of labels are saved (0.2.3h).

    <item>Extra fonts via menus (0.2.3g).

    <item>Normal (fast) and professional (slower) hyphenation (0.2.3f).

    <item>Possibility to compile TeXmacs with recent g++ compilers and to
    compile with optimization. This speeds up the editor about 2 to 3 times,
    except for displaying text (0.2.3f).

    <item>Normal (fast) and professional (slower) hyphenation (0.2.3f).

    <item>Loading pk files three times faster (0.2.3e).

    <item>Starting up 50 percent faster (0.2.3e).

    <item>Scrolling 50 percent faster (0.2.3e).

    <item>Corrected bug for making selections (0.2.3e).

    <item>0.1 sec delay in displaying popup menus (0.2.3d).

    <item>Better cursor positioning for macro expansions (0.2.3d).

    <item>Typesetting (simple) trees (0.2.3d).

    <item>Simplification de l'interface d'insertion des images (0.2.3d).

    <item>Incorporation des images postscript (0.2.3c).

    <item>Insertion de pages web dans la documentation (0.2.3c).

    <item>Correction de bogues concernant les fenêtres multiples (0.2.3b).
  </itemize>

  <section|Changes between TeXmacs 0.2.2 and TeXmacs 0.2.3>

  <\itemize>
    <item>Implémentation d'un serveur <apply|TeXmacs> pour la gestion de vues
    multiples.

    <item>Facility to execute editing commands using <apply|LaTeX> command
    names.

    <item>Correction de plusieurs bogues dans les menus.

    <item>Implémentation plus dynamique des menus.

    <item>Affichage des raccourcis clavier dans les articles de menus

    <item>Implémentation de menus symboliques.
  </itemize>

  <apply|tmdoc-copyright|1998--2003|Joris van der Hoeven|Michèle Garoche>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|french>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-10|<tuple|10|?>>
    <associate|toc-11|<tuple|11|?>>
    <associate|idx-1|<tuple|<uninit>|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|2|?>>
    <associate|idx-2|<tuple|<uninit>|?>>
    <associate|toc-3|<tuple|3|?>>
    <associate|toc-4|<tuple|4|?>>
    <associate|toc-5|<tuple|5|?>>
    <associate|toc-6|<tuple|6|?>>
    <associate|toc-7|<tuple|7|?>>
    <associate|toc-8|<tuple|8|?>>
    <associate|toc-9|<tuple|9|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>Changements entre TeXmacs 1.0 et
      TeXmacs 1.0.1><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>Changes between TeXmacs 0.3.5 and
      TeXmacs 1.0><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Changes between TeXmacs 0.3.4 and
      TeXmacs 0.3.5><value|toc-dots><pageref|toc-3><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|4<space|2spc>Changes between TeXmacs 0.3.3 and
      TeXmacs 0.3.4><value|toc-dots><pageref|toc-4><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|5<space|2spc>Changes between TeXmacs 0.3.2 and
      TeXmacs 0.3.3><value|toc-dots><pageref|toc-5><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|6<space|2spc>Changes between TeXmacs 0.3.1 and
      TeXmacs 0.3.2><value|toc-dots><pageref|toc-6><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|7<space|2spc>Changes between TeXmacs 0.3.0 and
      TeXmacs 0.3.1><value|toc-dots><pageref|toc-7><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|8<space|2spc>Changes between TeXmacs 0.2.5 and
      TeXmacs 0.3.0><value|toc-dots><pageref|toc-8><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|9<space|2spc>Changes between TeXmacs 0.2.4 and
      TeXmacs 0.2.5><value|toc-dots><pageref|toc-9><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|10<space|2spc>Changes between TeXmacs 0.2.3 and
      TeXmacs 0.2.4><value|toc-dots><pageref|toc-10><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|11<space|2spc>Changes between TeXmacs 0.2.2 and
      TeXmacs 0.2.3><value|toc-dots><pageref|toc-11><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
